| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Properties | Private Member Functions | Private Attributes

# IG::Gr::PlotZedGraphBase Class Reference

Base class for plots that are shown in a ZedGraphControl object. More...

Inheritance diagram for IG::Gr::PlotZedGraphBase:
[legend]
Collaboration diagram for IG::Gr::PlotZedGraphBase:
[legend]

List of all members.

## Public Member Functions
| PlotZedGraphBase (PlotterZedGraph plotter)
| Constructor.
abstract void | CalculateBoundsCoordinates ()
| Recalculates bounds for coordinates on the graphic objects currently contained in the graph.
abstract void | CreateData ()
| Creates data for the plot. Basically, this creates and updates the internal data structures used by the plot, while Update will also update the plot in the window where it is shown.
virtual void | Update ()
| Updates the plot.
abstract void | RemoveFromGraphPane ()
| Removes all items of the current plot from the graph pane. Must be overridden in derived classes.
void | Dispose ()
| Implementation of IDisposable interface.
## Protected Member Functions
virtual void | Dispose (bool disposing)
| Does the job of freeing resources. This method can be eventually overridden in derived classes (if they use other resources that must be freed - in addition to such resources of the current class). In the case of overriding this method, you should usually call the base.Dispose(disposing ). in the overriding method.
## Protected Attributes
bool | _autoUpdateBoundsCoordinates = true
string | _legendString
## Properties
object | Lock`[get]`
| This object's central lock object to be used by other object. Do not use this object for locking in class' methods, for this you should use InternalLock.
int | OutputLevel`[get, set]`
| Level of output to the console for the current object. The defalult output level for newly created object is specified by VtkPlotter.DefaultOutputLevel.
StopWatch | Timer`[get]`
| Stopwatch that can be used to measure the time efficiency of actions.
color | BackGround`[get, set]`
| Sets background color of the plotter that is used by the current plot object. Task is delegated to the plotter.
PlotterZedGraph | Plotter`[get, set]`
| Zedgraph plotter that is used for plotting graphs produeced by the current plotting class, on a ZedGraph control. Getter is not thread safe (for better efficiency).
GraphPane | GraphPane`[get]`
| Gets the GraphPane of the plotter on which the current line plot is plotted.
bool | AutoUpdateBoundsCoordinates`[get, set]`
| Determines whether bounds on plotted geometry are automatically updated when new primitives are added.
BoundingBox2d | BoundsCoordinates`[get]`
| Bounds of the current plot. If AutoUpdateBoundsCoordinates == true then the bounds are updated automatically when new points are added.
string | LegendString`[get, set]`
| String that is used for the current plot item in the legend.
## Private Member Functions
| PlotZedGraphBase ()
| Prevent calling argument-less constructor in derived classes.
| ~PlotZedGraphBase ()
## Private Attributes
object | _mainLock = new object()
int | _outputLevel = PlotterZedGraph.DefaultOutputLevel
StopWatch | _timer
PlotterZedGraph | _plotter
BoundingBox2d | _boundsCoordinates
bool | disposed = false

## Detailed Description

Base class for plots that are shown in a ZedGraphControl object.

$A Igor Jun09;

## Constructor & Destructor Documentation

IG::Gr::PlotZedGraphBase::PlotZedGraphBase | ( |  | ) | `[inline, private]`

Prevent calling argument-less constructor in derived classes.

IG::Gr::PlotZedGraphBase::PlotZedGraphBase | ( | PlotterZedGraph | plotter | ) | `[inline]`

Constructor.

Parameters:

  plotter | ZedGraph plotter that is used for plotting graphs produeced by the current plotting class.

IG::Gr::PlotZedGraphBase::~PlotZedGraphBase | ( |  | ) | `[inline, private]`

## Member Function Documentation

abstract void IG::Gr::PlotZedGraphBase::CalculateBoundsCoordinates | ( |  | ) | `[pure virtual]`

Recalculates bounds for coordinates on the graphic objects currently contained in the graph.

Implemented in IG::Gr::PlotZedgraphCurve.

abstract void IG::Gr::PlotZedGraphBase::CreateData | ( |  | ) | `[pure virtual]`

Creates data for the plot. Basically, this creates and updates the internal data structures used by the plot, while Update will also update the plot in the window where it is shown.

Implemented in IG::Gr::PlotZedgraphCurve.

virtual void IG::Gr::PlotZedGraphBase::Update | ( |  | ) | `[inline, virtual]`

Updates the plot.

Reimplemented in IG::Gr::PlotZedgraphCurve.

abstract void IG::Gr::PlotZedGraphBase::RemoveFromGraphPane | ( |  | ) | `[pure virtual]`

Removes all items of the current plot from the graph pane. Must be overridden in derived classes.

Implemented in IG::Gr::PlotZedgraphCurve.

void IG::Gr::PlotZedGraphBase::Dispose | ( |  | ) | `[inline]`

Implementation of IDisposable interface.

virtual void IG::Gr::PlotZedGraphBase::Dispose | ( | bool | disposing | ) | `[inline, protected, virtual]`

Does the job of freeing resources. This method can be eventually overridden in derived classes (if they use other resources that must be freed - in addition to such resources of the current class). In the case of overriding this method, you should usually call the base.Dispose(disposing ). in the overriding method.

Parameters:

  disposing | Tells whether the method has been called form Dispose() method.

## Member Data Documentation

object IG::Gr::PlotZedGraphBase::_mainLock = new object()`[private]`

int IG::Gr::PlotZedGraphBase::_outputLevel = PlotterZedGraph.DefaultOutputLevel`[private]`

StopWatch IG::Gr::PlotZedGraphBase::_timer`[private]`

PlotterZedGraph IG::Gr::PlotZedGraphBase::_plotter`[private]`

bool IG::Gr::PlotZedGraphBase::_autoUpdateBoundsCoordinates = true`[protected]`

BoundingBox2d IG::Gr::PlotZedGraphBase::_boundsCoordinates`[private]`

string IG::Gr::PlotZedGraphBase::_legendString`[protected]`

bool IG::Gr::PlotZedGraphBase::disposed = false`[private]`

## Property Documentation

object IG::Gr::PlotZedGraphBase::Lock`[get]`

This object's central lock object to be used by other object. Do not use this object for locking in class' methods, for this you should use InternalLock.

Implements IG::Lib::ILockable.

int IG::Gr::PlotZedGraphBase::OutputLevel`[get, set]`

Level of output to the console for the current object. The defalult output level for newly created object is specified by VtkPlotter.DefaultOutputLevel.

StopWatch IG::Gr::PlotZedGraphBase::Timer`[get]`

Stopwatch that can be used to measure the time efficiency of actions.

color IG::Gr::PlotZedGraphBase::BackGround`[get, set]`

Sets background color of the plotter that is used by the current plot object. Task is delegated to the plotter.

PlotterZedGraph IG::Gr::PlotZedGraphBase::Plotter`[get, set]`

Zedgraph plotter that is used for plotting graphs produeced by the current plotting class, on a ZedGraph control. Getter is not thread safe (for better efficiency).

GraphPane IG::Gr::PlotZedGraphBase::GraphPane`[get, protected]`

Gets the GraphPane of the plotter on which the current line plot is plotted.

bool IG::Gr::PlotZedGraphBase::AutoUpdateBoundsCoordinates`[get, set]`

Determines whether bounds on plotted geometry are automatically updated when new primitives are added.

BoundingBox2d IG::Gr::PlotZedGraphBase::BoundsCoordinates`[get]`

Bounds of the current plot. If AutoUpdateBoundsCoordinates == true then the bounds are updated automatically when new points are added.

These bounds are usually used just for information, but they can also be used to adjust the bounds on scales.

string IG::Gr::PlotZedGraphBase::LegendString`[get, set]`

String that is used for the current plot item in the legend.

The documentation for this class was generated from the following file:

- PlotZedgraphBase.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events